# Class IndexPageMaker

java.lang.Object
net.sf.statcvs.pages.IndexPageMaker

public class IndexPageMaker extends Object

Version:
  $Id: IndexPageMaker.java,v 1.12 2009/06/02 13:28:53 benoitx Exp $
Author:
  anja, Richard Cyganiak (richard@cyganiak.de)

## Constructor Summary

Constructors
Constructor
Description
`IndexPageMaker(ReportConfig config, String notesHTML, PageGroup reports)`
Creates a new report index page.

## Method Summary

Modifier and Type
Method
Description
`Page`
`getPage()`
`Page`
`toFile()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IndexPageMaker

public IndexPageMaker(ReportConfig config, String notesHTML, PageGroup reports)
Creates a new report index page.

Parameters:
  `config` - Report configuration to use
  `notesHTML` - A note to be inserted on top of the page; might be `null`
  `reports` - A list of `NavigationNode`s that constitute the page's main menu

## Method Details

### toFile

public Page toFile()

### getPage

public Page getPage()